/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.gzInfo.vo.ZdVo;
import org.springblade.modules.gzInfo.vo.ZdVos;
import org.springblade.modules.gzInfo.vo.ZdVoss;
import org.springblade.modules.sqjw.sydw.pojo.vo.HylxVO;
import org.springblade.modules.system.entity.DictBiz;
import org.springblade.modules.system.vo.DictBizVO;
import org.springblade.modules.system.vo.ZdVO;

import java.util.List;
import java.util.Map;

/**
 * Mapper 接口
 *
 * @author Chill
 */
public interface DictBizMapper extends BaseMapper<DictBiz> {

	/**
	 * 获取字典表对应中文
	 *
	 * @param code    字典编号
	 * @param dictKey 字典序号
	 * @return
	 */
	String getValue(String code, String dictKey);

	String getKey(String code, String dictValue);

	/**
	 * 获取字典表
	 *
	 * @param code 字典编号
	 * @return
	 */
	List<DictBiz> getList(String code);
	List<DictBiz> getListPC(String code);

	/**
	 * 获取树形节点
	 *
	 * @return
	 */
	List<DictBizVO> tree();

	/**
	 * 获取树形节点
	 *
	 * @return
	 */
	List<DictBizVO> parentTree();

    List<ZdVo> selectGzlx(int type);

	List<ZdVos> selectGzlxs(@Param("id") Long id, @Param("type") int type);

	List<ZdVoss> selectGzlxss(@Param("id") Long id, @Param("type") int type);

	List<ZdVO> getJxcs();

    List<ZdVO> csxl(ZdVO zdVO);

	List<ZdVo> selectJflx(@Param("params") Map<String, Object> params);

	List<ZdVo> selectJflx2(@Param("params") Map<String, Object> params);

    List<ZdVos> getXmList(@Param("params") Map<String, Object> params);

	List<ZdVoss> getXmList2(Long parentId);

	List<DictBiz> selectDwlb();

	List<ZdVO> getDictList(String code);

    List<ZdVO> getLdphhz(Map<String, String> params);

    int getZfcs();

	int getFjsl();

	int getKfsl();

    List<ZdVO> getTsrq();

    List<HylxVO> getHylx();

	List<ZdVO> getDwlx(Long parentId);
}
